Plesk upgrade failed: ERROR while trying to add supplementary group 'lock-manager' for user 'psaadm'

Refers to:

  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 12:39:17 UTC

Modified:

2016-12-21 18:53:43 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk upgrade failed: ERROR while trying to add supplementary group 'lock-manager' for user 'psaadm'

Symptoms

Upgrade from Plesk 11.5 to Plesk 12 failed with error:

ERROR while trying to add supplementary group 'lock-manager' for user 'psaadm'
Check the error reason(see log file: /var/log/plesk/install/plesk_12.0.18_installation.log), fix and try again

tac: write error: Broken pipe

Cause

The issue was caused since ' psaadm ' was not assigned to group ' lock-manager '.

Resolution

  1. Add psaadm manually to group lock-manager :

    # usermod -a -G lock-manager psaadm  
    # grep lock-manager /etc/group
    lock-manager:x:101:psaadm
  2. Run bootstrapper:

    # /usr/local/psa/bootstrapper/pp12.0.18-bootstrapper/bootstrapper.sh repair
Have more questions? Submit a request
Please sign in to leave a comment.